"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const renderScene_1 = __importDefault(require("./renderScene"));
const Tabs_1 = __importDefault(require("@mui/material/Tabs"));
const react_1 = require("react");
const { defaultTabStyle } = {
    defaultTabStyle: {
        flex: 1
    }
};
const Tabs = (_a) => {
    var { defaultIndex, onSelectTab, routes = [], style: givenStyle } = _a, props = __rest(_a, ["defaultIndex", "onSelectTab", "routes", "style"]);
    const tabStyle = (0, react_1.useMemo)(() => {
        return Object.assign(Object.assign({}, defaultTabStyle), givenStyle);
    }, [
        givenStyle
    ]);
    const handleWebSelectTab = (0, react_1.useCallback)((event, tabIndex) => {
        if (onSelectTab) {
            onSelectTab(tabIndex);
        }
    }, [
        onSelectTab
    ]);
    const renderedScene = (0, react_1.useMemo)(() => {
        return (0, renderScene_1.default)(routes);
    }, [
        routes
    ]);
    return ((0, jsx_runtime_1.jsx)(Tabs_1.default, Object.assign({}, props, { onChange: handleWebSelectTab, style: tabStyle, value: defaultIndex, children: renderedScene })));
};
exports.default = Tabs;
//# sourceMappingURL=Tabs.js.map